<?php

namespace Drupal\url_purge_aggregator;

use Drupal\Core\Entity\EntityInterface;

/**
 * Interface for UrlPurgeAggregatorManager.
 */
interface UrlPurgeAggregatorManagerInterface {

  /**
   * Add the node URL to the purge queue.
   *
   * @param \Drupal\Core\Entity\EntityInterface $entity
   *   The entity.
   */
  public function addNodeUrlToPurgeQueue(EntityInterface $entity);

  /**
   * Checks if node purge is enabled in the configuration.
   *
   * @return bool
   *   TRUE if node purge is enabled, FALSE otherwise.
   */
  public function isNodePurgeEnabled(): bool;

  /**
   * Checks if debug messages are enabled in the configuration.
   *
   * @return bool
   *   TRUE if debug messages are enabled, FALSE otherwise.
   */
  public function isDebugEnabled(): bool;

}
